#  Copyright (C) 2006-2019 Talend Inc. - www.talend.com
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
WizardPage.TaCoKitConfiguration=TaCoKit Configuration Wizard Page
TaCoKitConfiguration.action.create.Label=Create {0}
TaCoKitConfiguration.action.edit.Label=Edit this {0}
TaCoKitConfiguration.action.open.Label=Open this {0}
TaCoKitConfiguration.wizard.title.str={0}
TaCoKitConfiguration.wizard.title.create.str=Create {0}
TaCoKitConfiguration.wizard.title.edit.str=Edit {0}
TaCoKitConfiguration.wizard.description.edit.str=Edit {0}
TaCoKitConfiguration.wizard.exception.title=Error Occur
TaCoKitConfiguration.wizard.exception.message.default=Please see details below.
TaCoKitConfiguration.composite.exception.message.default=An error happened during the operation
guessSchema.button=Guess {0} Schema
guessSchema.error=Error ocurred during guessing schema.
guessSchema.error.empty=Guess schema failed, no error message returned from the guess schema execution.
guessSchema.dialog.title=Schema of {0}
guessSchema.dialog.error.title=Guess Schema Failed.
guessSchema.dialog.error.msg.default=Guess schema failed, please check logs.
guessSchema.dialog.info.NoSchema.title=Empty Schema.
guessSchema.dialog.info.NoSchema.msg=No record found. The schema can't be guessed.
suggestion.dialog.custom.button=Use custom value
suggestion.dialog.custom.text=Custom value
suggestion.job.title=Retrieve values
suggestion.job.subtask.retrieveValues=Retrieve possible values from server
suggestion.job.subtask.openDialog=Open Selection Dialog
validation.pattern.error=Property should match pattern {0}
validation.min.error=Property should be greater than {0}
validation.max.error=Property should be less than {0}
validation.minlength.error=Property length should be greater than {0}
validation.maxlength.error=Property length should be less than {0}
validation.required.error=Property value is required
healthCheck.button=Test Connection
action.result.title=Result
action.execution.progress=Execution in progress...
documentation.reference.guide=Talend Components Reference Guide: {0}
documentation.content.error.missing=No documentation found for {0}.
migration.check.title=Checking TaCoKit Migration
migration.check.cancel=User canceled migration check.
migration.check.version.different=Stored version ({1}) is different with configuration({0}) version({2}).
migration.check.process.checking=Checking migration for stored processes
migration.check.process.project=Checking process migration for project {0}
migration.check.process.item=Checking migration for process {0}
migration.check.progress.fetchConfigurations=Fetching available TaCoKit configurations...
migration.check.progress.currentConfiguration=Checking migration for TaCoKit configuration {0}...
migration.check.progress.listItems=Listing metadatas of {0} in project {1}...
migration.check.progress.start=Checking migration for metadata {0} ({1})...
migration.check.progress.execute=Migrating metadata {0} from version {1} to version {2}...
migration.check.progress.save=Saving {0} ({1})...
migration.check.progress.updateRelated=Updating related items of {0} ({1})...
migration.check.dialog.title=Migration Check
migration.check.dialog.ask={0} is not migrated yet or migrate failed, do you want to migrate it now?\n\nPlease NOTE that if you don't do migration now, all datas without migration will be lost once you click the finish button of the following wizard!
migration.check.dialog.failed=Migration failed.\n\nPlease NOTE that you can still edit the metadata, but once you click the finish button of the following wizard, all datas without migration will be lost!

TaCoKitUpdateService.progress.generatingFeatures=Resolving components from CARs...
TaCoKitUpdateService.progress.generatingFeatures.current=Resolving components from [{0}]...
TaCoKitUpdateService.progress.installingFeatures=Installing components from CARs...
TaCoKitUpdateService.progress.installingFeatures.current.isInstalled=Checking component has been installed or not: [{0}]
TaCoKitUpdateService.progress.installingFeatures.current.cantInstall=Can't install [{0}]
TaCoKitUpdateService.progress.installingFeatures.current.installing=Installing component: [{0}]
TaCoKitCar.defaultName=TaCoKit Component
TaCoKitCar.exception.cannotFoundFile=Can't find [{0}] from file [{1}].
TaCoKitCar.exception.property.notDefine=There is no [{0}] configured in the CAR file.
TaCoKitCarFeature.status.succeed=[{0}] is installed successfully.
TaCoKitCarFeature.status.failed=Failed to install [{0}].
progress.cancel=User canceled.
repository.node.missingparent=Items missing parent node (Deprecated) 